%define spmajor 1
%define libname   %mklibname sidplay2
%define develname %mklibname -d sidplay2
%define sumajor 0
%define libnamesu %mklibname sidutils %{sumajor}
%define bumajor 0
%define libnamebu %mklibname sidplay-builders %bumajor
%define develnamesu %mklibname -d sidutils
%define staticdevelnamesu %mklibname -s -d sidutils

Summary:        A Commodore 64 music player and SID chip emulator library
Name:           sidplay-libs
Version:        2.1.1
Release:        %mkrel 3
Source:         http://prdownloads.sourceforge.net/sidplay2/%{name}-%version.tar.xz
Patch:		    sidplay-libs-2.1.1-gcc4.3.patch
Patch1:		    cia1.patch
Patch2:		    sidplay-libs-2.1.1-builders-dir.patch
Patch3:         sidplay-libs-2.1.1-pkgconfig.patch
License:        GPLv2+
Group:          System/Libraries
URL:            http://sidplay2.sourceforge.net/
BuildRequires:  chrpath

%description
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %libname
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libname
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

%package -n %libnamebu
Summary:        A Commodore 64 music player and SID chip emulator library
Group:          System/Libraries

%description -n %libnamebu
This is a cycle-based version of a C64 music playing library
developed by Simon White. This library provides no internal
SID emulation. Instead a means to drive any external SID hardware or
emulation has been provided using the SID Builder Classes.

A ReSID Builder Class using a modified version of ReSID 0.13
is included in this package. Alternative/updated classes can be
obtained from the SIDPlay2 homepage.

%package -n %develname
Summary:        Development headers and libraries for %{libname}
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Requires:       %{libnamebu} = %{version}
Provides:       libsidplay-devel = %{version}-%release
Provides:	    sidplay2-devel = %version-%release

%description -n %develname
This package includes the header and library files necessary
for developing applications to use %{libname}.

%package -n %libnamesu
Summary:        General utility library for use in sidplayers
Requires:	    %libname = %version
Group:          System/Libraries

%description -n %libnamesu
This library provides general utilities that are not considered core
to the C64 emulation.  Utilities include decoding and obtaining tune
lengths from the songlength database, INI file format parser and SID
filter files (types 1 and 2).

%package -n %develnamesu
Summary:        Development headers and libraries for libsidutils
Group:          Development/Libraries
Requires:       %libnamesu = %{version}
Requires:	    %{develname} = %version
Provides:       libsidutils-devel = %{version}-%release
Obsoletes:      lib64sidutils-static-devel

%description -n %develnamesu
This package includes the header and library files necessary
for developing applications to use %libnamesu.

%prep
%setup -q
%apply_patches

%build
for dir in . resid libsidutils libsidplay builders/resid-builder builders/hardsid-builder; do
  autoreconf -vfi -Iunix $dir
done

export CFLAGS="%optflags -Wno-narrowing -fPIC"
export CXXFLAGS="%optflags -Wno-narrowing -fPIC"
%configure2_5x --disable-static --enable-shared
%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete
rm -f %buildroot%_libdir/lib*.a
chrpath -d %buildroot%_libdir/libsidutils.so

%multiarch_includes %buildroot%_includedir/sidplay/sidconfig.h

%files -n %libname
%{_libdir}/libsidplay2.so.%{spmajor}
%{_libdir}/libsidplay2.so.%{spmajor}.*

%files -n %libnamebu
%_libdir/libresid-builder.so.%{bumajor}
%_libdir/libresid-builder.so.%{bumajor}.*
%_libdir/libhardsid-builder.so.%{bumajor}
%_libdir/libhardsid-builder.so.%{bumajor}.*


%files -n %develname
%{_includedir}/sidplay/*.h
%{_includedir}/sidplay/builders/*.h
%multiarch %multiarch_includedir/sidplay/
%{_libdir}/libsidplay2.so
%{_libdir}/libresid-builder.so
%{_libdir}/libhardsid-builder.so
%{_libdir}/pkgconfig/libsidplay*.pc

%files -n %libnamesu
%{_libdir}/libsidutils.so.%{sumajor}
%{_libdir}/libsidutils.so.%{sumajor}.*

%files -n %develnamesu
%dir %{_includedir}/sidplay/utils/
%{_includedir}/sidplay/utils/*
%{_libdir}/libsidutils*.so
%_libdir/pkgconfig/libsidutils*pc


%changelog
* Sun May 30 2021 tex - 2.1.1-3pclos2021
- rebuild
